Subject: Re: [PATCH net-next] net: macb: propagate macb_open() failure in macb_set_ringparam()

From: Jakub Kicinski <[email-masked]>
Date: Wed, 18 Mar 2026 19:44:05 -0700

On Tue, 17 Mar 2026 21:22:29 +0100 Nicolai Buchwitz wrote:
> macb_set_ringparam() silently ignores macb_open() failure after
> closing and reopening the interface, always returning 0. Propagate
> the error so callers know the interface failed to come back up.

Not sure it's worth it on its own, the driver will implode if the user
tries to change the config again or bring the device up or down.
The fact that error is nor propagated is the least of our worries.
-- 
pw-bot: cr